
# --- START of SYSTEM CONFIGURATION SECTION ---


# --- Names of system commands  used in the Makefile ---
MAKE = @_MAKE_@
MV = @_MV_@
RM = @_RM_@
TOUCH = @_TOUCH_@

# --- COMPILING ---

# --- Compiler name ---
# (for the Cray, use scc)
CC = @CC@

# A WEB flag, either CC or GCC.  This flag isn't used for bootstrapping; it
# is required for properly regenerating custom.h by tangling custom.web.  If
# you're on the Sun and working with gcc, say ``COMPILER = GCC''.
COMPILER = @_COMPILER_@

# --- Compiler options ---
# Fill the next two in with the appropriate option for your machine, if
# it exists.  These flags are no different than the other CFLAGS; they
# are made explicit to remind you to try to
# optimize and to force the compiler to deal with unsigned characters.
OPTIMIZE = @_OPTIMIZE_@
UNSIGNED_CHAR = @_UNSIGNED_CHAR_@

# (Miscellaneous compiler flags)
CFLAGS = @_CFLAGS_@

# (Compiler macro definitions.  In addition, see the discussion of PARTn
# below.)  
DEFS = @DEFS@ @_LOCAL_DEFS_@

# --- The actual compile command used by the Makefile.  ---
# For Cray's scc, remove the ``-o $(@)''.  
COMPILE = @_COMPILE_@



# --- LINKING ---

# --- Extensions for object files ---
# $(O) is used for targets in the Makefile. $(OBJ) is the suffix used in
# the link line.  (Sometimes $(OBJ) can be null if the compiler understands
# defaults and the length of the command line is an issue, as it is on some
# personal computers.)
O = @_O_@
OBJ = @_OBJ_@

# TERMCAP0 is either a file name, or null.  Generally you should use the stub
# termcap0.$(O).  If you are going to use the system termcap library (only
# relevant for color, an experiment that isn't completed yet) make
# TERMCAP0 null and include ``-ltermcap'' in the LIBS line below.
TERMCAP0 = @_TERMCAP0_@

# --- Linker options ---

# (Miscellaneous linker flags)
LDFLAGS = @_LDFLAGS_@

# (Libraries)
LIBS = @_LIBS_@

# --- The actual link command used by the Makefile.  TRY NOT TO CHANGE THIS
# LINE. ---
LINK = @_LINK_@



# --- MISCELLANEOUS ---

# --- How to print a dvi file ---
ECHO = echo # Use this to prevent actual printing.
PRINT_DVI  = @_PRINT_DVI_@

# --- FWEB flags indicating type of machine on which you're tangling
# (HOME_MACHINE) and for which machine you're generating C code. ---
HOME_MACHINE = @_HOME_MACHINE_@
MACHINE = @_MACHINE_@

# --- FWEB file suffixes ---
# (For IBM-PC, shorten to ``hwe'')
HWEB = @_HWEB_@

# --- Splitting FTANGLE & FWEAVE into several parts, especially for small
# compilers on personal computers.  Here's an example for the IBM-PC. ---
# ---------------------------------------------------------------------------
#PART1 = /Dpart=1
#PART2 = /Dpart=2
#PART3 = /Dpart=3

#FTANGLE2 = ftangle2.$(O)
#FTANGLE3 = ftangle3.$(O)

#FWEAVE2 = fweave2.$(O)
#FWEAVE3 = fweave3.$(O)

#RESERVED2 = reservd2.$(O)
# ---------------------------------------------------------------------------

# The PARTn macros are compiler options that define the macro |part|
#to be n, for example ``-Dpart=2''
PART1 = @_PART1_@
PART2 = @_PART2_@
PART3 = @_PART3_@

# Here are the names of the second and third parts of the object files.
FTANGLE2 = @_FTANGLE2_@
FTANGLE3 = @_FTANGLE3_@

FWEAVE2 = @_FWEAVE2_@
FWEAVE3 = @_FWEAVE3_@

RESERVED2 = @_RESERVED2_@



# --- INSTALLATION INFORMATION ---
INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@

prefix = /usr/local
exec_prefix = $(prefix)
doc_prefix = $(prefix)

# Where the processors go:
bindir = $(exec_prefix)/bin

# Where the Unix man pages go:
manext = 1
mandir = $(doc_prefix)/man/man$(manext)

# Where the emacs fweb.texinfo and info* files go:
infodir = $(doc_prefix)/info
texinfodir = $(infodir)

# Where the FWEB user manual goes:
manualdir = $(doc_prefix)/fweb

# Where the fwebmac.sty macro package used by FWEAVE goes, as well as the
# file fweb.tex needed for weaving the FWEB source code.
texdir = $(prefix)/lib/tex/inputs

# --- END of SYSTEM CONFIGURATION SECTION ---




